6.0.0-git
2019-03-23

[#11049] horde git repositories are not accessible through http://git.horde.org
Summary horde git repositories are not accessible through http://git.horde.org
Queue Horde.org Servers
Queue Version Git
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester vilius (at) lnk (dot) lt
Created 2012-03-04 (2575 days ago)
Due
Updated 2012-03-23 (2556 days ago)
Assigned 2012-03-08 (2571 days ago)
Resolved 2012-03-20 (2559 days ago)
Milestone
Patch No

History
2012-03-23 19:27:14 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (develop):

commit 79363ac77ca0accf74d592719cb3ff31a368384a
Author: Jan Schneider <jan@horde.org>
Date:   Fri Mar 23 16:00:17 2012 +0100

     Set the error pipe to non-blocking mode.

     This is hopefully the final piece to fix bug #11049.

  framework/Vcs/lib/Horde/Vcs/Git.php |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/79363ac77ca0accf74d592719cb3ff31a368384a
2012-03-23 15:00:37 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 79363ac77ca0accf74d592719cb3ff31a368384a
Author: Jan Schneider <jan@horde.org>
Date:   Fri Mar 23 16:00:17 2012 +0100

     Set the error pipe to non-blocking mode.

     This is hopefully the final piece to fix bug #11049.

  framework/Vcs/lib/Horde/Vcs/Git.php |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/79363ac77ca0accf74d592719cb3ff31a368384a
2012-03-21 19:16:13 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (develop):

commit 0a9f5c753a88afd8fffa6ba94d04e431acab07e2
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 20 20:02:58 2012 +0100

     We only need the log entry.

     Might fix bug #11049.

  framework/Vcs/lib/Horde/Vcs/QuickLog/Git.php |    8 +++-----
  1 files changed, 3 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/0a9f5c753a88afd8fffa6ba94d04e431acab07e2
2012-03-21 18:52:30 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (develop):

commit f57dfb770d484fd812c1741e263baf78b0f14fdb
Author: Jan Schneider <jan@horde.org>
Date:   Mon Mar 19 22:35:36 2012 +0100

     See if enforcing blocking mode fixes bug #11049.

  framework/Vcs/lib/Horde/Vcs/Git.php |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/f57dfb770d484fd812c1741e263baf78b0f14fdb
2012-03-20 19:46:15 Jan Schneider Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2012-03-20 19:28:27 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit 0a9f5c753a88afd8fffa6ba94d04e431acab07e2
Author: Jan Schneider <jan@horde.org>
Date:   Tue Mar 20 20:02:58 2012 +0100

     We only need the log entry.

     Might fix bug #11049.

  framework/Vcs/lib/Horde/Vcs/QuickLog/Git.php |    8 +++-----
  1 files changed, 3 insertions(+), 5 deletions(-)

http://git.horde.org/horde-git/-/commit/0a9f5c753a88afd8fffa6ba94d04e431acab07e2
2012-03-19 21:36:27 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit f57dfb770d484fd812c1741e263baf78b0f14fdb
Author: Jan Schneider <jan@horde.org>
Date:   Mon Mar 19 22:35:36 2012 +0100

     See if enforcing blocking mode fixes bug #11049.

  framework/Vcs/lib/Horde/Vcs/Git.php |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/f57dfb770d484fd812c1741e263baf78b0f14fdb
2012-03-12 15:49:08 vilius (at) lnk (dot) lt Comment #6 Reply to this comment
As of couple of days ago Chora is completely unavailable.

A fatal error has occurred
chora is not activated.
Details have been logged for the administrator.
2012-03-08 04:55:35 Michael Rubinsky Comment #5 (Private)
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
[Hidden]
2012-03-04 21:33:30 vilius (at) lnk (dot) lt Comment #4 Reply to this comment
In case you are checking server logs my IP address is 78.56.205.147.
2012-03-04 21:32:13 vilius (at) lnk (dot) lt Comment #3 Reply to this comment
I'm trying for the third day in a row now. Still present. I have also 
tried from three different computers and with IE and FF browsers.

One more strange thing is that when I have a browser window trying to 
open any folder under http://git.horde.org and waiting for the page, 
bugs.horde.org doesn't open too. I've had to close all browser windows 
to write this message.
2012-03-04 21:24:19 Michael Rubinsky Comment #2
State ⇒ Feedback
Reply to this comment
Works fine for me at the moment. Maybe something transient?
2012-03-04 11:07:58 vilius (at) lnk (dot) lt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ horde git repositories are not accessible through http://git.horde.org
Queue ⇒ Horde.org Servers
Milestone ⇒
Patch ⇒ No
Reply to this comment
I think after recent server rebuilt I cannot longer access Horde git 
repository through http://git.horde.org web interface. All I can see 
is a root folder listing. If I click on /horde or /imp or /framework 
the page just timeouts after a while.

Saved Queries